Index: trunk/phpgwapi/templates/classic/css/celepar.css
===================================================================
--- trunk/phpgwapi/templates/classic/css/celepar.css	(revision 1532)
+++ trunk/phpgwapi/templates/classic/css/celepar.css	(revision 2275)
@@ -413,2 +413,235 @@
 	background-color:white;
 }
+
+.toolbar
+{
+       background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo.gif);
+       position:absolute;
+}
+
+.logo_expresso
+{
+
+	background:transparent url(../../../../phpgwapi/templates/default/images/logo_expresso_classic.png) no-repeat scroll right 0px;
+	right:0px;
+	position:absolute;
+	width:191px;
+}
+
+.navbar_but
+{
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        padding: 0 19px 0 13px !important;
+        vertical-align: center !important;
+        text-align: center !important;
+}
+
+.navbar_butOver
+{
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        vertical-align: center !important;
+        text-align: center !important;
+	padding: 0 19px 0 13px !important;
+
+}
+
+.navbar_butOut
+{
+        background-image: url(../../../../phpgwapi/templates/default/images/back_app_classic.png) !important;
+        width: 40px !important;
+        height: 40px !important;
+        vertical-align: center !important;
+        text-align: center !important;
+        padding: 0 19px 0 13px !important;
+
+
+}
+#expressoAdmin12id,
+#adminid,
+#homeid,
+#contactcenterid,
+#expressoMail12id,
+#newsadminid,
+#calendarid,
+#jabberitmessengerid,
+#logout_id
+{
+	width: 32px !important;
+	height: 32px !important;
+
+}
+
+.message_header{
+        background-color: #CCCCCC !important;
+}
+
+.table_message_header_box{
+        width: 100% !important;
+        color: black !important;
+        border-style: solid !important;
+        border-width: 0px !important;
+        border-collapse: collapse !important;
+        border-color: #bbbbbb !important;
+        font-family: Arial !important;
+        font-size: 13px !important;
+        cursor: pointer !important;
+}
+.font-menu
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 13px Lucidatypewriter,monospace !important;
+    color: #505050 !important;
+}
+.font-menu-sel
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 11px Lucidatypewriter,monospace !important;
+    color:#0000FF !important;
+}
+
+.menu-sel
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    font: bold 11px Lucidatypewriter,monospace !important;
+    color:#0000FF !important;
+    height: 20px !important;
+    width:220px !important;
+    background-color: #F7F7F7 !important;
+    margin-bottom: 0px !important;
+    border-left: 1px solid #000000 !important;
+    border-top: 1px solid #000000 !important;
+    border-right: 1px solid #000000 !important;
+    padding:0px 5px 0px 0px !important;
+    -moz-border-radius: 9px 9px 0px 0px !important;
+    -moz-user-select: none !important;
+    cursor: pointer !important;
+}
+
+.menu
+{
+    text-decoration: none !important;
+    text-align: center !important;
+    color: #505050 !important;
+    height: 20px !important;
+    width:220px !important;
+    background-color:#E5E5E5 !important;
+    margin-bottom: 0px !important;
+    border-left: 1px solid #c0c0c0 !important;
+    border-top: 1px solid #c0c0c0 !important;
+    border-right: 1px solid #c0c0c0 !important;
+    border-bottom: 1px solid #000000 !important;
+    padding:0px 5px 0px 0px !important;
+    -moz-border-radius: 9px 9px 0px 0px !important;
+    -moz-user-select: none !important;
+    cursor: pointer !important;
+}
+
+.last_menu
+{
+        border-bottom: 1px solid #000000 !important;
+        -moz-border-radius: 0px 0px 0px 0px !important;
+}
+.conteudo {
+    font-family: Verdana, Arial, Helvetica, sans-serif !important;
+    font-size: 10px !important;
+    font-weight: normal !important;
+    color: #000033 !important;
+        padding: 1px !important;
+    border-color: gray gray gray gray !important;
+
+        border-right: 1px solid #000000 !important;
+        border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+        width:99.5% !important;
+    -moz-border-radius: 0px 0px 6px 6px !important;
+}
+
+.table_message{
+        background-color: #CCCCCC !important;
+        padding: 1px !important;
+        cursor: default !important;
+        border-width: 1px 1px 1px 1px !important;
+        border-spacing: 0px 1px !important;
+        border-style: outset outset outset outset !important;
+        border-color: gray gray gray gray !important;
+        border-collapse: separate !important;
+        -moz-border-radius: 3px 3px 3px 3px !important;
+}
+
+.image-menu {
+        padding: 3px 0px 3px 5px !important;
+        border-top: 1px solid #000000 !important;
+	border-right: 1px solid #000000 !important;
+	border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+       -moz-border-radius: 9px 9px 9px 9px !important;
+}
+.content-menu-td {
+        border: 1px solid #f7f7f7 !important;
+}
+
+.content-menu {
+	background: none !important;
+	padding: 4px !important;
+        width:162px !important;
+        border-top: 1px solid #000000 !important;
+	border-right: 1px solid #000000 !important;
+	border-left: 1px solid #000000 !important;
+        border-bottom: 1px solid #000000 !important;
+	-moz-border-radius: 9px 9px 9px 9px !important;
+        position: relative !important;
+        overflow: auto !important;
+}
+
+.message_options_trash,
+.message_options_import,
+.message_options_inactive,
+.message_options_export,
+.message_options_move,
+.message_options_print,
+.message_options_active,
+.message_options,
+.message_options_over
+{
+	color:blue !important;
+	font-weight: normal !important;
+        background-image: none !important;
+	padding:0 7 0 0 !important;
+}
+.l{
+        background-image: none !important;
+        color: #666666 !important;
+
+}
+.sl
+{
+        background-image: none !important;
+	color: blue !important;
+}
+.image-menu,
+.menu-degrade
+{
+	background-image: none !important;
+}
+
+.dsused
+{
+	background-image: url(../../../../expressoMail1_2/templates/default/images/dsused_classic.gif) !important;
+}
+.table_message {
+	background-image: none !important;
+}
+.tr_msg_read2,
+.tr_msg_read {
+-moz-user-select:none !important;
+background-color:#FFFFFF !important;
+border-bottom:1px solid #CFCFCF !important;
+color:black !important;
+}