Index: /trunk/phpgwapi/templates/classic/css/celepar.css
===================================================================
--- /trunk/phpgwapi/templates/classic/css/celepar.css	(revision 2275)
+++ /trunk/phpgwapi/templates/classic/css/celepar.css	(revision 2276)
@@ -352,5 +352,5 @@
 .dsused
 {
-	        background-image: url(../../../../expressoMail1_2/templates/default/images/dsused_classic.gif) !important;
+	background-image: url(../../../../expressoMail1_2/templates/default/images/dsused_classic.gif) !important;
 }
 #fmLocation
@@ -566,4 +566,5 @@
 .table_message{
         background-color: #CCCCCC !important;
+		background-image: none !important;
         padding: 1px !important;
         cursor: default !important;
@@ -577,11 +578,18 @@
 
 .image-menu {
-        padding: 3px 0px 3px 5px !important;
-        border-top: 1px solid #000000 !important;
+	padding: 3px 0px 3px 5px !important;
+	border-top: 1px solid #000000 !important;
 	border-right: 1px solid #000000 !important;
 	border-left: 1px solid #000000 !important;
-        border-bottom: 1px solid #000000 !important;
-       -moz-border-radius: 9px 9px 9px 9px !important;
-}
+	border-bottom: 1px solid #000000 !important;
+	-moz-border-radius: 9px 9px 9px 9px !important;
+}
+
+.image-menu,
+.menu-degrade
+{
+	background-image: none !important;
+}
+
 .content-menu-td {
         border: 1px solid #f7f7f7 !important;
@@ -591,12 +599,12 @@
 	background: none !important;
 	padding: 4px !important;
-        width:162px !important;
-        border-top: 1px solid #000000 !important;
+	width:162px !important;
+	border-top: 1px solid #000000 !important;
 	border-right: 1px solid #000000 !important;
 	border-left: 1px solid #000000 !important;
-        border-bottom: 1px solid #000000 !important;
+	border-bottom: 1px solid #000000 !important;
 	-moz-border-radius: 9px 9px 9px 9px !important;
-        position: relative !important;
-        overflow: auto !important;
+	position: relative !important;
+	overflow: auto !important;
 }
 
@@ -613,30 +621,18 @@
 	color:blue !important;
 	font-weight: normal !important;
-        background-image: none !important;
+	background-image: none !important;
 	padding:0 7 0 0 !important;
 }
 .l{
-        background-image: none !important;
-        color: #666666 !important;
+	background-image: none !important;
+	color: #666666 !important;
 
 }
 .sl
 {
-        background-image: none !important;
+	background-image: none !important;
 	color: blue !important;
 }
-.image-menu,
-.menu-degrade
-{
-	background-image: none !important;
-}
-
-.dsused
-{
-	background-image: url(../../../../expressoMail1_2/templates/default/images/dsused_classic.gif) !important;
-}
-.table_message {
-	background-image: none !important;
-}
+
 .tr_msg_read2,
 .tr_msg_read {
Index: /trunk/expressoMail1_2/templates/classic/main.css
===================================================================
--- /trunk/expressoMail1_2/templates/classic/main.css	(revision 1570)
+++ /trunk/expressoMail1_2/templates/classic/main.css	(revision 2276)
@@ -115,63 +115,4 @@
 }
 
-.menu-sel
-{
-    text-decoration: none;
-    text-align: center;
-    font: bold 13px Lucidatypewriter,monospace;
-   	color:#0000FF;
-    height: 20px;
-	width:220px;
-    background-color: #F7F7F7;
-    margin-bottom: 0px;
-    border-left: 1px solid #000000;
-    border-top: 1px solid #000000;
-    border-right: 1px solid #000000;
-    padding:0px 5px 0px 0px;
-    -moz-border-radius: 9px 9px 0px 0px;
-    -moz-user-select: none;
-    cursor: pointer;	
-}
-.menu
-{
-    text-decoration: none;
-    text-align: center;
-    font: bold 13px Lucidatypewriter,monospace;
-    color: #505050;
-    height: 20px;    
-	width:220px;
-    background-color:#E5E5E5;
-    margin-bottom: 0px;
-    border-left: 1px solid #c0c0c0;
-    border-top: 1px solid #c0c0c0;
-    border-right: 1px solid #c0c0c0;       
-    border-bottom: 1px solid #000000;
-	padding:0px 5px 0px 0px;
-    -moz-border-radius: 9px 9px 0px 0px;
-    -moz-user-select: none;
-    cursor: pointer;
-}
-
-.last_menu
-{
-	border-bottom: 1px solid #000000;
-	-moz-border-radius: 0px 0px 0px 0px;
-}
-
-.conteudo {
-    font-family: Verdana, Arial, Helvetica, sans-serif;
-    font-size: 10px;
-    font-weight: normal;
-    color: #000033;
-	padding: 1px;
-    border-color: gray gray gray gray;
-   
-	border-right: 1px solid #000000;
-	border-left: 1px solid #000000;
-	border-bottom: 1px solid #000000;
-	width:99.5%;
-    -moz-border-radius: 0px 0px 6px 6px;
-}
-
 .table_message{
 	background-color: #CCCCCC;
@@ -374,9 +315,9 @@
 }
 
+.message_options_active,
+.message_options_over,
 .message_options {
 	cursor: pointer;
-	color: blue;
 	white-space: nowrap;
-	/*padding:0 1.8;*/
 }
 .message_options_trash,
@@ -392,14 +333,5 @@
 }
 
-.message_options_active {
-	white-space: nowrap;	
-	color: blue;
-	cursor: pointer;
-}
-
 .message_options_over {
-	cursor: pointer;
-	color: blue;
-	white-space: nowrap;
 	font-weight: bold;
 	text-decoration: underline;
@@ -478,5 +410,4 @@
 	font-weight: bold !important;
 	font-size: 10px !important;
-	color: #666 !important;
 	text-decoration: none !important;
 	font-family: sans-serif !important;
@@ -490,12 +421,2 @@
 	font-family: sans-serif !important;
 }
-
-.divAppboxHeader
-{	
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 14px !important;
-	font-weight: bold !important;
-	color: #000066 !important;
-	text-align: center !important;
-	padding: 0px;
-}