Index: /trunk/phpgwapi/templates/default/css/base.css
===================================================================
--- /trunk/phpgwapi/templates/default/css/base.css	(revision 2297)
+++ /trunk/phpgwapi/templates/default/css/base.css	(revision 2299)
@@ -1,6 +1,6 @@
 body
 {
+	font-family: Verdana, Arial, Helvetica, sans-serif;
 	font-size: 11px;
-	font-family: Verdana, Arial, Helvetica, sans-serif;
 	margin: 0px;
 	padding: 0px;
Index: /trunk/phpgwapi/templates/default/css/cataratas.css
===================================================================
--- /trunk/phpgwapi/templates/default/css/cataratas.css	(revision 2287)
+++ /trunk/phpgwapi/templates/default/css/cataratas.css	(revision 2299)
@@ -1,445 +1,230 @@
-ul
-{
-	list-style-image: url("../images/orange-ball.png");
-}
-
-.grid_email_class
-{
-	border-bottom:1px solid #cfcfcf;
-}
-
-body 
-{
-	margin: 0px !important;
-	background-color:#E9E9E9 !important;
-	font-size: 11px !important;
-	font-family: Verdana, Arial, Helvetica, sans-serif !important;
-	padding:0px !important;
-}
-
-img
-{
-	border-width:0px !important;
-	border-style:none !important;
-	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
-*/
-}
-
-a:link,a:visited
-{
-	cursor:pointer !important;
-	color: #000066 !important;
-	text-decoration: none !important;
-}
-
-/*
-a:visited 
-{
-	color: #006699; 
-	text-decoration: none;
-}
-*/
-a:hover,a:active
-{
-	cursor:pointer !important;
-	color: #ff9933 !important;
-	text-decoration: underline !important;
-}
-/*
-a:active 
-{
-	color: #006699; 
-	text-decoration: underline;
-}
-*/
-input,button
-{
-	font-size: 11px !important; 
-	color: #006699 !important; 
-	font-family: Arial, Helvetica, sans-serif !important;
-	border: 1px #bbbbbb solid !important;
-}
-
-input[type=submit],input[type=button],button
-{
-	margin:1px !important;
-	padding:1px !important;
-	cursor: pointer !important; 
-	cursor: hand !important;
+body
+{
+	background-color: #e9e9e9;
+}
+
+a:link,
+a:visited
+{
+	color: #000066;
+}
+
+a:hover,
+a:active
+{
+	color: #ff9933;
+}
+
+a.divSideboxEntry,
+.divSideboxEntry
+{
+	background-color: #eee;
+}
+
+a.appTitles,
+.appTitles
+{
+	padding: 2px 2px;
+}
+
+a.textSidebox
+{
+	border-top-color: #aaa;
+}
+
+input,
+button
+{
+	border-color: #bbb;
+	color: #069;
 }
 
 input[type=image]
 {
-	cursor: pointer !important; 
-	cursor: hand !important;
-	border: 0px #bbbbbb none !important;
-}
-select 
-{
-	font-size: 11px !important; 
-	color: #000066 !important; 
-	font-family: Arial, Helvetica, sans-serif !important;
-	border: 1px #bbbbbb solid !important;
-	z-index: -1 !important;
-}
-
-td
-{
-	font-size: 11px !important;
-	/*text-align:left;*/
-	/*	padding-top:1px;
-	padding-bottom:1px;*/
-}
-
-.divLoginbox 
-{
-	position:relative;
-	width: 300px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divLoginboxHeader 
-{
-	text-align:center;
-	background-color:#dddddd;
-	padding-top:2px;
-	font-size:10px;
-	color:#666666;
-}
-.divSidebox 
-{
-	position:relative;
-	width: 147px; 
-	border-right: #9c9c9c 1px solid; 
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.tblHeadApp {
-
-	border-right: #9c9c9c 1px solid; 	
-	border-top: #9c9c9c 1px solid; 
-	border-left: #9c9c9c 1px solid; 
-	border-bottom: #9c9c9c 1px solid
-}
-
-.divSideboxHeader 
-{
-	text-align:center;
-	background-color:#000066;
-	padding-top:2px;
-	height: 15px;
-	color: #FFFFFF;
-
-}
-
-a.divSideboxEntry, .divSideboxEntry
-{
-	text-align:left;
-	height:16px;
-	background-color:#eeeeee;
-}
-
-a.appTitles,.appTitles
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-
-}
-
-a.textSidebox
-{
-	font-size: 10px; 
-	border-top: #aaaaaa 0px none;
-}
-
-.textSidebox
-{
-	font-size: 10px; 
-	height:18px;
-	padding-top:2px;
-	padding-bottom:2px;
-	border-top: #aaaaaa 1px solid;
-
-}
-
-.sideboxSpace
-{
-	height:9px;
-}
-
-.greyLine
-{
-	margin:1px;
-	border-top-color:#7e7e7e;
-	border-top-width:1px;
-	border-top-style:solid;
-	height:1px;
-}
-
-.prefSection
-{
-	font-weight:bold;
-	font-size:16px;
-	line-height:40px;
-}
-
-#extraIcons
-{
-	background-color:#eeeeee;
-	border-width:1px;
-	border-color:#7e7e7e;
-	border-style:solid;
-}
-
-.extraIconsRow
-{
-	border-top-color:#dddddd;
-	border-top-width:1px;
-	border-top-style:solid;
-	padding:2px;
-}
-
-#divMain
-{
-	background-color:white;
-	margin-top: 0px;
-	padding:9px;
-	border-color:#7e7e7e;
-	border-width:1px;
-	border-style:solid;
-}
-
-#divLogo
-{
-	position:absolute;
-	left:20px;
-	top:5px;
-	z-index:51;
-}
-
-#divAppIconBar
-{
-	background-color:white;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	background-image: url(../images/background-icon-bar.png); 
-	background-repeat: repeat-x
-}
-
-#divAppTextBar
-{
-	background-color:white;
-}
-
-#user_info
-{
-	color: white;
-}
-#links_bar
-{
-	        color: white;
-}
-
-#divStatusBar
-{
-	height:24px;
-	padding-left:10px;
-	padding-top:0px;
-}
-
-/*#divSubContainer
-{
-}
-*/
-#tdSidebox
-{
-	width:170px;
-	background-color:white;
-	overflow:visible;
-}
-
-
-#tdAppbox
-{
-	background-color:white;
-	width: 100%;
-}
-#divSideboxContainer
-{
-	position:relative;
-	width:150px;
-	top:0px;
-	left:0px;
-	background-color:white;
-	border-width:1px;
-	border-style:solid;
-	z-index:40;
+	border-color: #bbb;
+}
+
+select
+{
+	border-color: #bbb;
+	color: #006;
+}
+
+#divAppbox
+{
+	background: #e6f3d9;
+	border-color: #9c9c9c;
 }
 
 #divAppboxHeader
 {
-	margin-top:2px;
-	margin-left:2px;
-	margin-right:2px;
-	font-family: Verdana, Arial, Helvetica, sans-serif;
+	background: #e6f3d9;
+	border-color: #9c9c9c;
+	color: #006;
 	font-size: 14px;
 	font-weight: bold;
-	color: #000066;
-	text-align: center;
-	padding: 0px;
-	background-color: #e6f3d9;
-	height:24px;
-	line-height:24px;
-	border-top-color:#9c9c9c;
-	border-top-width:1px;
-	border-top-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-}
-
-#divAppbox
-{
-	background-color: #e6f3d9;
-	padding-right:1px;
-	padding-top:1px;
-	padding-bottom:1px;
-	padding-left:15px;
-	border-bottom-color:#9c9c9c;
-	border-bottom-width:1px;
-	border-bottom-style:solid;
-	border-left-color:#9c9c9c;
-	border-left-width:1px;
-	border-left-style:solid;
-	border-right-color:#9c9c9c;
-	border-right-width:1px;
-	border-right-style:solid;
-	margin-top:0px;
-	margin-bottom:0px;
-	margin-left:2px;
-	margin-right:2px;
-
-}
-
-#fmStatusBar
-{
-	margin-left:4px;
-	margin-bottom:3px;
-	font-size: 10px; 
-/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
-	
-
-}
-
-
+}
+
+#divAppIconBar
+{
+	background: #fff url( ../images/background-icon-bar.png ) repeat-x;
+	border-top-color: #9c9c9c;
+}
+
+#divAppTextBar
+{
+	background-color: #fff;
+}
+
+#divGenTime
+{
+	color: #f00;
+}
+
+#divMain
+{
+	background: #fff;
+	border-color: #7e7e7e;
+}
+
+#divPoweredBy
+{
+	background: #fff;
+	color: #999;
+}
+
+#divSideboxContainer
+{
+	background: #fff;
+}
+
+#extraIcons
+{
+	background: #eee;
+	border-color: #7e7e7e;
+}
+
+#links_bar,
 #user_info
 {
-padding-left:17px;
-
-}
-
-#admin_info
-{
-	position:relative;
-	text-align:center;
-	margin-right:10px;
-}
-
-#divGenTime
-{
-	bottom:14px;
-	font-size: 9px;
-	color: #ff0000;
-	text-align:center;
-	width:99%;
-}
-
-#divPoweredBy 
-{
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: #999999;
-	text-decoration: none;
-	padding: 7px;
-	text-align: center;
-	background-color:white;
+	color: #fff;
+}
+
+#tdAppbox
+{
+	background-color: #fff;
+}
+
+#tdSidebox
+{
+	background: #fff;
+}
+
+.conteudo
+{
+	border-color: #4A79B1;
+	color: #003;
+}
+
+.divSideboxHeader
+{
+	background-color: #006;
+	color: #fff;
+}
+
+.extraIconsRow
+{
+	border-top-color: #ddd;
+}
+
+.greyLine
+{
+	border-top-color: #7e7e7e;
+}
+
+.grid_email_class
+{
+	border-bottom-color: #cfcfcf;
+}
+
+.image-menu
+{
+	background: #a0b2cc url( ../../../../phpgwapi/templates/default/images/folder_bg_fozi.jpg ) no-repeat scroll center bottom;
+}
+
+.last_menu
+{
+	border-bottom-color: #4a79b1;
+}
+
+.logo_expresso
+{
+	background: url( ../../../../phpgwapi/templates/default/images/logo_expresso_fozi.gif ) no-repeat;
+	height: 35px;
+	width: 264px;
+}
+
+.menu
+{
+	background: #c8d7ea;
+	border-color: #f4f7fc;
+	border-bottom-color: #4a79b1;
+}
+
+.menu-sel
+{
+	background-color: #f7f7f7;
+	border-color: #4a79b1;
+	color: #00f;
+}
+
+.menu-degrade
+{
+	background-image: url( ../../../../phpgwapi/templates/default/images/degrade.png );
 }
 
 .navbar_but
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_fozi.png) !important; 
-	width: 40px;
-	height: 40px;
-	vertical-align: center;
-	text-align: center;
-	padding-right: 6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
+	background-image: url( ../../../../phpgwapi/templates/default/images/back_app_fozi.png );
 }
 
 .navbar_butOver
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_over_fozi.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
+	background-image: url( ../../../../phpgwapi/templates/default/images/back_app_over_fozi.png );
 }
 
 .navbar_butOut
 {
-	background-image: url(../../../../phpgwapi/templates/default/images/back_app_out_fozi.png) !important;
-	width: 40px;
-	height: 40px;
-	vertical-align: center !important;
-	text-align: center !important;
-	padding-right:6px;
-	cursor:pointer;
-	cursor:hand;
-	background-repeat:no-repeat;
+	background-image: url( ../../../../phpgwapi/templates/default/images/back_app_out_fozi.png );
+}
+
+.tblHeadApp
+{
+	border-color: #9c9c9c;
+}
+
+.textSidebox
+{
+	border-top-color: #aaa;
 }
 
 .toolbar
 {
-	background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo_fozi.jpg);
-	position:absolute;
-}
-
-.logo_expresso
-{
-	background:url(../../../../phpgwapi/templates/default/images/logo_expresso_fozi.gif) no-repeat;
-	width: 264px;
-	height: 35px;
-}
-
-.content-menu {
-	padding: 0px 0px 0px 0px !important;
-	background: #fff !important;
-}
-
-.menu-degrade {
-          background-image: url(../../../../phpgwapi/templates/default/images/degrade.png) !important;
-          background-repeat: repeat-x;
-}
-
-.image-menu {
-	padding: 0px 0px 0px 0px !important;
-	background: #a0b2cc url(../../../../phpgwapi/templates/default/images/folder_bg_fozi.jpg) no-repeat scroll center bottom !important;
+	background-image: url( ../../../../phpgwapi/templates/default/images/fundo_topo_fozi.jpg );
+}
+
+.linha0,
+.linha1,
+.tr_msg_read,
+.tr_msg_read2
+{
+	color: #3f3f3f;
+	background: #fff;
+}
+
+.linha1,
+.tr_msg_read2
+{
+	background: #e6f3d9;
 }
 
@@ -449,100 +234,65 @@
 .message_header
 {
-	background-color: #98c17f !important;
+	background-color: #98c17f;
 }
 
 .message_options_active {
-	color: #D00 !important;
-	font-weight: bold !important;
+	color: #d00;
+	font-weight: bold;
 }
 
 .message_options_inactive {
-	color: #999 !important;
+	color: #999;
 }
 
 .message_options {
-	color: blue !important;
-	font-weight: bold !important;
+	color: blue;
+	font-weight: bold;
 }
 
 .message_options_over {
-	color: #D00 !important;
-	font-weight: bold !important
+	color: #d00;
+	font-weight: bold
 }
 
 .table_message{
-	background:#98C17F !important;
-}
-
-
-.linha0,
-.linha1,
-.tr_msg_read,
-.tr_msg_read2 {
-	color: #3f3f3f;
-	background-color: #ffffff;
-	-moz-user-select: none;
-}
-
-.linha1,
-.tr_msg_read2 {
-	background-color: #e6f3d9;
-}
-
-.conteudo { 
-	font-family: Verdana, Arial, Helvetica, sans-serif; 
-	font-size: 10px; 
-	font-weight: normal; 
-	color: #000033; 
-	padding: 2px; 
-    border-left: 1px solid;
-    border-right: 1px solid;
-    border-bottom: 1px solid;
-    border-color: #4A79B1;
-	width:99.5%; 
-	overflow: none; 
-	-moz-border-radius: 0px 0px 6px 6px; 
-} 
-
-.whiteSpace{ 
-	width: 2px; 
-}
-
-.menu
-{
-	text-decoration: none;
+	background: #98c17f;
+}
+
+
+
+#fmStatusBar
+{
+	margin-left: 4px;
+	margin-bottom: 3px;
+	font-size: 10px;
+}
+
+.divLoginbox
+{
+	position: relative;
+	width: 300px;
+	border: 1px solid #9c9c9c;
+}
+
+.divLoginboxHeader
+{
 	text-align: center;
-	height: 20px;
-	/*background-color:#c2d8b1 !important;*/
-	background-color:#c8d7ea;
-	margin-bottom: 0px;
-	border: 1px solid #f4f7fc;
-	border-bottom: 1px solid #4a79b1;
-	padding:0px 5px 0px 0px;
-	-moz-border-radius: 9px 9px 0px 0px;
-	-moz-user-select: none;
-	cursor: pointer;
-}
-
-.last_menu
-{
-	border-bottom: 1px solid #4a79b1;
-	-moz-border-radius: 0px 0px 0px 0px;
-}
-
-.menu-sel
-{
-	text-decoration: none;
-	text-align: center;
-	font: bold 13px Lucidatypewriter,monospace;
-	color:#0000FF;
-	height: 20px;
-	background-color:#F7F7F7;
-	margin-bottom: 0px;
-	border: 1px solid #4a79b1;
-	border-bottom: 0px;
-	padding:0px 5px 0px 0px;
-	-moz-border-radius: 9px 9px 0px 0px;
-	-moz-user-select: none;
-	cursor: pointer;
-}
+	background-color: #ddd;
+	padding-top: 2px;
+	font-size: 10px;
+	color: #666;
+}
+
+.divSidebox
+{
+	position: relative;
+	width: 147px;
+	border: 1px solid #9c9c9c;
+}
+
+.content-menu
+{
+	padding: 0px 0px 0px 0px;
+	background: #fff;
+}